/*
 * Copyright (c) 1994 Malcolm Beattie.
 * You may distribute under the terms of the GNU General Public License,
 * as specified in the README file.
 */

#ifndef lint
static char rcsid[] = "$Id: tkpXsubs.c,v 1.2 1994/09/24 16:59:55 mbeattie Exp $";
#endif

/* $Log: tkpXsubs.c,v $
 * Revision 1.2  1994/09/24  16:59:55  mbeattie
 * Initialised vol in XS_Tk_xbell.
 *
 * Revision 1.1  1994/09/21  14:50:29  mbeattie
 * Initial revision
 *
 */

#include "tkperl.h"

XS(XS_Tk_xbell)
{
    dXSARGS;
    int vol = 0;

    if (items > 1)
        croak("Usage: Tk::xbell([vol])");
    else if (items == 1)
	vol = (int) SvIV(ST(0));

    XBell(Tk_Display(mainwin), vol);
    
    XSRETURN(1);
}
